Custom Fields
curl --request GET \
--url https://api.example.com/v1/order-fieldsimport requests
url = "https://api.example.com/v1/order-fields"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/order-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"core_fields": [
{}
],
"custom_fields": [
{}
]
}Orders API
Custom Fields
GET /v1/order-fields
GET
/
v1
/
order-fields
Custom Fields
Each workspace configures its own custom fields on orders. Call this endpoint
to discover the field schema before creating orders.
Response
array
The built-in fields every order supports (
order_number, due_date).array
Your workspace’s active custom fields. Each has a
key (use this in the
custom_fields object when creating an order), label, type, required
flag, and options (for select-type fields).Example
curl https://api.titletrackr.com/v1/order-fields \
-H "Authorization: Bearer ttr_live_xxx" \
-H "Accept: application/json"
{
"core_fields": [
{ "key": "order_number", "label": "Order #", "type": "text", "required": true },
{ "key": "due_date", "label": "Due Date", "type": "date", "required": false }
],
"custom_fields": [
{
"key": "underwriter",
"label": "Underwriter",
"type": "text",
"required": false,
"options": null
},
{
"key": "transaction_type",
"label": "Transaction Type",
"type": "dropdown",
"required": true,
"options": ["Purchase", "Refinance"]
}
]
}
Field types
| Type | Value format |
|---|---|
text, paragraph | String |
date | YYYY-MM-DD string |
dropdown | One of the options strings |
multiselect | Array of options strings |
company, people | The entity’s numeric id |
⌘I

